### Method

# AppStream Screenshot get_image

since: 0.14.0

#### Declaration [src]

    AsImage*
    as_screenshot_get_image (
      AsScreenshot* screenshot,
      guint width,
      guint height,
      guint scale
    )

#### Description [src]

Gets the AsImage closest to the target size. The `AsImage` may not actually be the requested size, and the application may have to pad / rescale the image to make it fit. Only images for the current active locale (or fallback, if images are not localized) are considered.

Available since: 0.14.0

#### Parameters

`width`

  Type: `guint`

  Target width.

`height`

  Type: `guint`

  Target height.

`scale`

  Type: `guint`

  The target scaling factor.

#### Return value

Type: `AsImage`

An `AsImage`, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.